#by Durik256 02.03.2022 for xentax
from inc_noesis import *

def registerNoesisTypes():
    handle = noesis.register("chuanshuo OL",".anim")
    noesis.setHandlerTypeCheck(handle, CheckType)
    noesis.setHandlerLoadModel(handle, LoadModel)    
    return 1
    
def CheckType(data):
    bs = NoeBitStream(data)
    if noeAsciiFromBytes(bs.readBytes(8)) != 'ANIM3.00':
        return 0
    return 1

def LoadModel(data, mdlList):    
    bs = NoeBitStream(data)
    bs.seek(8)
    
    fCount = bs.readUInt()
    unk = bs.readUInt()#?
    bCount = bs.readUInt()
    
    bones = []
    fMat = []
    for x in range(bCount):
        name = noeAsciiFromBytes(bs.readBytes(bs.readUInt()))
        bones.append(NoeBone(x, name, NoeMat43()))
        print(name)
        for y in range(fCount):
            bs.seek(40, NOESEEK_REL)
            #fMat.append(mat)
    
    anim = NoeAnim("anim", bones, fCount, fMat, 30.0)
    
    mdl = NoeModel()
    mdl.setBones(bones)
    #mdl.setAnims([anim])
    mdlList.append(mdl) 
    return 1